<?php
class IRPP_Singleton {
    var $Lang;
    var $Utils;
    var $Form;
    var $Check;
    var $Options;
    var $Manager;
    var $Log;
    var $Cron;
    var $Tracking;
    var $Tabs;
    var $Plugin;
    var $License;
    var $HtmlTemplate;

    function __construct() {
        $this->Lang=new IRPP_Language();
        $this->Utils=new IRPP_Utils();
        $this->Form=new IRPP_Form();
        $this->Check=new IRPP_Check();
        $this->Options=new IRPP_AppOptions();
        $this->Manager=new IRPP_Manager();
        $this->Log=new IRPP_Logger();
        $this->Cron=new IRPP_Cron();
        $this->Tracking=new IRPP_Tracking();
        $this->Tabs=new IRPP_Tabs();
        $this->Plugin=new IRPP_Plugin();
        $this->License=new IRPP_License();
        $this->HtmlTemplate=new IRPP_HtmlTemplate();
    }
    function init() {
        $this->Lang->load('irpp', IRPP_PLUGIN_ROOT.'languages/Lang.txt');
        $this->HtmlTemplate->load(IRPP_PLUGIN_ROOT.'assets/templates/styles.html');
        $this->Tabs->init();
        $this->License->init();
        $this->Cron->init();
    }
}